import bpy

class BACKFACEHIDING_PT_ui(bpy.types.Panel):
	bl_label = "Backface Hiding"
	bl_space_type = "VIEW_3D"
	bl_region_type = "UI"
	bl_category = "Edit"
	bl_context = "mesh_edit"
	
	def draw(self, context):
		layout = self.layout
		layout.operator("mesh.hide_backfacing", text="Hide", icon='ORIENTATION_NORMAL')
		#layout.operator("mesh.hide_occluded", text="Hide occluded", icon='XRAY')
		#layout.separator(factor=3.0)
		#layout.operator("mesh.unhide_restore", text="Reveal & restore selection", icon='HIDE_OFF')
		layout.operator("mesh.unhide_keep", text="Show", icon='HIDE_OFF')

CLASSES = [BACKFACEHIDING_PT_ui
           ]

def register():
    for cls in CLASSES:
       bpy.utils.register_class(cls)

def unregister():

    for cls in CLASSES:
       bpy.utils.unregister_class(cls)